/* $Id: efosc_point.h,v 1.1.1.1 2008-12-25 15:10:18 cizzo Exp $
 *
 * This file is part of the EFOSC2 Library
 * Copyright (C) 2002-2006 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

/*
 * $Author: cizzo $
 * $Date: 2008-12-25 15:10:18 $
 * $Revision: 1.1.1.1 $
 * $Name: not supported by cvs2svn $
 */

#ifndef EFOSC_POINT_H
#define EFOSC_POINT_H

#include <cpl.h>

#include <stdbool.h>

CPL_BEGIN_DECLS

typedef struct _efosc_point
{
    double x, y;

} efosc_point;

#undef LIST_ELEM
#define LIST_ELEM efosc_point
#include <list.h>

efosc_point *efosc_point_new(double x, double y);
efosc_point *efosc_point_duplicate(const efosc_point *p);
void efosc_point_delete(efosc_point **point);
void efosc_point_delete_list(efosc_point ***point);
void efosc_point_print(const efosc_point *s);
bool efosc_point_equal(const efosc_point *p,
		      const efosc_point *q);

double efosc_point_distsq(const efosc_point *p,
			 const efosc_point *q);


CPL_END_DECLS

#endif
